## boost1.53 1.53.0

=== debian/changelog ===
boost1.53 (1.53.0-6) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make libboost-graph[-parallel]1.53-dev packages depend on the library
    package libboost-graph[-parallel]1.53.0 to avoid broken symlinks.
    (Closes: #715072, #715074)
  * Cherry pick upstream patch to suppress unused-local-typedef warning
    with GCC 4.8 (Closes: #710210)
  * Use anonscm URLs.

  [ Matthias Klose ]
  * Configure with --disable-long-double --wihtout-context on Aarch64

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 05 Aug 2013 10:03:13 +0100

boost1.53 (1.53.0-5) unstable; urgency=low

  * control: Boost.Thread depends on some non header-only libraries:
    System, Chrono, and DateTime.  The latter was already present, but
    dependencies for libboost-thread1.53-dev updated to include
    libboost-chrono1.53-dev and libboost-system1.53-dev.  Closes: #706648.

 -- Steve M. Robbins <smr@debian.org>  Tue, 28 May 2013 02:52:24 -0500

boost1.53 (1.53.0-4) unstable; urgency=low

  * rules: Add 'context' to list of libraries when Boost.Context is
    supported.  Closes: #706220.
  
  * rules: Disable Boost.Context for additional architectures: alpha,
    hppa, m68k, powerpcspe, ppc64, sh4, sparc64, and x32.  Closes: #703549.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Apr 2013 01:12:49 -0500

boost1.53 (1.53.0-3) unstable; urgency=low

  * rules: Ensure --without-context passed during install stage, too.
  
  * patches/chrono-duration.patch: New.  Fix conflict between
    chrono/duration.hpp and apache2/httpd.h (thanks, Kirill Spitsin).
    Closes: #703325.

  * control: Make libboost-mpi-python depend on mpi-default-bin so that
    mpirun is available.  Closes: #691635.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2013 23:46:40 -0500

boost1.53 (1.53.0-2) unstable; urgency=low

  * rules: Build with hardening flags.
  * control: Depend on dpkg-dev, to get dpkg-buildflags.

  * rules: context is not supported for ia64, s390, s390x, and sparc.
  
  * patches/fix-ftbfs-python-3.3.patch: New.  Allow building with
    multiarch python3.3 (thanks, Dmitrijs Ledkovs).  Closes: #691378.

 -- Steve M. Robbins <smr@debian.org>  Wed, 20 Mar 2013 01:45:32 -0500

boost1.53 (1.53.0-1) unstable; urgency=low

  * New upstream.  Update versions in control, rules.  Update file lists
    in documentation-files and example-files.

  * rules: Stop creating "libboost_foo-mt" compatibility symlinks.
    Rewrite rules using "dh".  README.Debian and NEWS.Debian no longer
    ship in all packages.
  
  * control: Add packages for atomic, context.  Remove empty package for
    mpi-python-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 05 Mar 2013 22:14:47 -0600

boost1.52 (1.52.0-1) UNRELEASED; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Jan 2013 19:04:00 -0600

boost1.50 (1.50.0-2) unstable; urgency=low

  * control: Fix list formatting in Boost.Chrono long description.
    Closes: #687296.  Add symlink /usr/share/doc/libboost-doc/examples;
    see #687524.
  
  * rules: Install libs/date_time/data into
    /usr/share/doc/libboost-date-timeX.Y-dev.  Closes: #685003.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2012 21:33:04 -0500

boost1.50 (1.50.0-1) unstable; urgency=low

  * Upstream release of 1.50.0.

 -- Steve M. Robbins <smr@debian.org>  Thu, 28 Jun 2012 21:28:37 -0500

boost1.50 (1.50.0~beta1final-1) experimental; urgency=low

  * New upstream.  This is really the "1.50.0 Beta 1" release.  Last
    release was actually "1.50.0 Beta 1 Release Candidate".

 -- Steve M. Robbins <smr@debian.org>  Fri, 08 Jun 2012 21:59:28 -0500

boost1.50 (1.50.0~beta1-1) experimental; urgency=low

  * New upstream: Beta 1 release of 1.50.
    - new lib packages for Boost.Exception.

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: Removed.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Jun 2012 11:42:00 -0500

boost1.49 (1.49.0-3) unstable; urgency=low

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: New.  Fixes for gcc 4.7 from upstream.
    Closes: #671409

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 May 2012 00:31:50 -0500

boost1.49 (1.49.0-2) unstable; urgency=low

  * control: Add missing -dev package Conflicts for: chrono, locale,
    random, and timer.  Closes: #666120, 666239.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Mar 2012 21:30:22 -0500

boost1.49 (1.49.0-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 00:31:44 -0600

boost1.49 (1.49.0rc1-1) UNRELEASED; urgency=low

  * Upstream Release Candidate.

  * patches/fusion-push-front-broken.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:43:41 -0600

boost1.49 (1.49.0beta1-1) UNRELEASED; urgency=low

  * Upstream Beta 1 Release Candidate.
  
  * patches/foreach.patch:
  * patches/sh4.patch:
  * patches/kfreebsd-thread.patch:
  * patches/math-define-l.patch:
  * patches/gcc-4.7-threading-detection.patch: Removed.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 21:31:41 -0600

boost1.48 (1.48.0-3) unstable; urgency=low

  * patches/fusion-push-front-broken.patch: New.  Upstream patch that
    fixes #include <boost/fusion/algorithm/transformation/push_front.hpp>.
    Closes: #653812.

  * patches/math-define-l.patch: New.  Rename class template parameter
    "L".  Closes: #653764.

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.

  * patches/mpi-allocator-c++0x.patch: New.  Workaround to enable using

